User
Get user profile
Gets the profile of the currently logged in user (as indicated by the auth token).
GET
/
me
Get user profile
curl --request GET \
--url https://ctechnology.io/api/v2.2/me \
--header 'Authorization: <api-key>'import requests
url = "https://ctechnology.io/api/v2.2/me"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://ctechnology.io/api/v2.2/me', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"header": {
"api_version": "<string>",
"status": "<string>",
"message": "<string>",
"permission_via": [
{
"permission": "<string>",
"organization_id": "<string>"
}
]
},
"data": {
"id": "<string>",
"email": "jsmith@example.com",
"first_name": "<string>",
"last_name": "<string>",
"address_country_code": "<string>",
"address_street": "<string>",
"address_city": "<string>",
"address_zip": "<string>",
"profile_picture_url": "<string>",
"settings_webapp": {
"current_organization": "<string>",
"selected_theme_id": "<string>",
"private_sidebar_filter_vehicles": {
"show_own_vehicles": true,
"show_client_vehicles": true
},
"professional_sidebar_filter_vehicles": {
"show_own_vehicles": true,
"show_client_vehicles": true
},
"timestamp_last_time_upgrade_app_shown": "2023-11-07T05:31:56Z"
},
"settings_nativeapp": {
"theme": "<string>",
"map_style": "<string>",
"font_size": "<string>",
"animations": true
},
"may_use_email_for_marketing": true,
"profile_picture_id": "<string>",
"primary_locale": "<string>",
"notification_new_message": true,
"notification_new_news_article": true,
"ecosystem_timestamp_last_news_read": "2023-11-07T05:31:56Z",
"company_name": "<string>",
"company_tel": "<string>"
}
}{
"header": {
"api_version": "<string>",
"status": "<string>",
"message": "<string>",
"permission_via": [
{
"permission": "<string>",
"organization_id": "<string>"
}
]
},
"error": {
"id": "<string>",
"status": 123,
"type": "<string>",
"message": "<string>",
"message_i18n": "<string>",
"data": {}
}
}{
"header": {
"api_version": "<string>",
"status": "<string>",
"message": "<string>",
"permission_via": [
{
"permission": "<string>",
"organization_id": "<string>"
}
]
},
"error": {
"id": "<string>",
"status": 123,
"type": "<string>",
"message": "<string>",
"message_i18n": "<string>",
"data": {}
}
}Authorizations
Note that the API key has to be sent as Token 123 where 123 is
the key you received after logging in or by creating on the developer
dashboard.
Previous
Update user profileUpdates information in the profile of the currently logged in user. Note that
all fields are optional, i.e., a partial view of the request body may be given.
Next
⌘I
Get user profile

